sudokuki (1.2.4) unstable; urgency=low

  * 2016-03-08 - released Sudokuki 1.2.4 (Stable)
    - Update Polish translations from Monika Viste
    - Update Tamil translations from Sathish

 -- Sylvain Vedrenne <sylvain@vedrenne.org>  Tue, 08 Mar 2016 23:00:00 +0100


sudokuki (1.2.3) unstable; urgency=low

  * 2016-01-29 - released Sudokuki 1.2.3 (stable)
    - add Polish translations from Monika Viste
    - fix build issues that could affect recent distributions
    - replaced country flag icons (Wikimedia icons)

 -- Sylvain Vedrenne <sylvain@vedrenne.org>  Fri, 29 Jan 2016 22:00:00 +0100


sudokuki (1.2.2) unstable; urgency=low

  * 2014-04-06 - released Sudokuki 1.2.2 (Stable)
    - Replaced legacy grid generator (C version of Suexg) by a Java version of Suexg
    - Replaced legacy brute-force solver by the solver included in Suexg

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Sun, 06 Apr 2014 17:00:00 +0100


sudokuki (1.2.1) unstable; urgency=low

  * 2013-12-10 - released Sudokuki 1.2.1 (Stable)
    - Added Tamil translations from Sathish Anandh
    - Added Turkish translations from Ahmet Kemal Okmen
    - Improved the language selection dialog
    - Removed the "feedback" tab from the About dialog

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Tue, 10 Dec 2013 23:30:00 +0100


sudokuki (1.2) unstable; urgency=low

  * 2013-04-27 - released Sudokuki 1.2 (Stable)
    - Added capability to resize the grid
    - Improved the paint process (more efficient)
    - dispose() "Resolution in progress" dialog before showing "Resolution successful"
    - In the selection dialog, memos are no more in bold font when selected

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Fri, 26 Apr 2013 00:15:00 +0100


sudokuki (1.1.8) unstable; urgency=low

  * 2013-02-07 - released Sudokuki 1.1.8 (Stable)
    - Added Hungarian translations from Toni.

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Thu, 07 Feb 2013 22:00:00 +0100


sudokuki (1.1.7) unstable; urgency=low


  * 2012-12-28 - released Sudokuki 1.1.7 (Stable)
    - Numbers are now 'Standard', 'Chinese' or 'Arabic' (added 'arabic' numbers)
    - Improved the centering of the digits inside the cells
    - Fixed several Java warnings in the source code

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Fri, 28 Dec 2012 20:00:00 +0100


sudokuki (1.1.6) unstable; urgency=low

  * 2012-11-24 - released Sudokuki 1.1.6 (Stable)
    - Added Arabic translations from Daneih Ismail
    - Fixed issue #244 1.1.5: LanguageMenu lost sync with current locale
    - Updated translation files for nl and pt_BR

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Sat, 23 Nov 2012 19:00:00 +0100


sudokuki (1.1.5) unstable; urgency=low

  * Sudokuki version 1.1.5 ("Sudokuki", stable, Java Swing GUI)

    - Added Brazilian Portuguese translations from Rafael Ferreira
    - Fixed item #3525975 "Ameliorate existing country flags look"
    - Fixed item #3526392 "Hardcoded language names for lang-selection menu/dialog"

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Thu, 17 May 2012 23:00:00 +0100


sudokuki (1.1.4) unstable; urgency=low

  * Sudokuki version 1.1.4 ("Sudokuki", stable, Java Swing GUI)

    - Fixed item #3520726 "Cannot enter filename when saving a grid on MacOS X"
    - Fixed item #3522650 "Corrupted or wrong grid files are not correctly handled"
    - Fixed item #3520759 "AboutDialog: ensure all text is visible (like for GPLv3 txt)"
    - Fixed item #3522280 "With Sun/Oracle JDK: fatal error: jni_md.h: No such file ..."
    - Updated Portuguese and Russian po files with Dutch translator's name

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Thu, 10 May 2012 23:00:00 +0100


sudokuki (1.1.3) unstable; urgency=low

  * Sudokuki version 1.1.3 ("Sudokuki", stable, Java Swing GUI)

    - Dutch translations from Jeroen P. Broks. Added country flag for new translation, 
      updated some po files accordingly.
    - Fixed Japanese translation string for "Latvian translations"
    - Fixed item #3520763 Package build JDK detection should see beyond symlinks
    - Debian package now depends upon java6-runtime and its build upon java6-sdk

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Sat, 28 Apr 2012 14:24:00 +0100


sudokuki (1.1.2) unstable; urgency=low

  * Sudokuki version 1.1.2 ("Sudokuki", stable, Java Swing GUI)

    - Latvian translations by Janis Eisaks
    - Updated country flag icons from PIWIK project

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Mon, 19 Mar 2012 22:40:00 +0100


sudokuki (1.1.1) unstable; urgency=low

  * Sudokuki version 1.1.1 ("Sudokuki", stable, Java Swing GUI)

    - Final version of Portuguese translation for 1.1 realease (item #3493404)
    - Fixed #3499862 Errors with EXTRA_DIST.include or DIST_NOINST_JAVA.include

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Mon, 23 Feb 2012 23:20:00 +0100


sudokuki (1.1.0) unstable; urgency=low

  * Sudokuki version 1.1.0 ("Sudokuki", stable, Java Swing GUI)

    - Greek translations (by Stavros Mavrakis)
    - Fixed aspect of two Cancel buttons
    - Fixed warnings and spurious traces
    - Application logo for final release

 -- Sylvain Vedrenne <sylvain@jankenpoi.net>  Mon, 23 Feb 2012 23:20:00 +0100


sudokuki (1.0.912) unstable; urgency=low

  * Sudokuki version 1.1.Beta12 ("Sudokuki", beta, Java Swing GUI)

    - Japanese translations for Sudokuki 1.1 (by Fumiaki Nakanishi)
    - Fixed #3489081 Confusing icon for "Language" in the toolbar
    - Basic Spanish, Greek and Chinese translations (with help of Google translate)
      => If you speak one of these languages, please send me your comments!
    - Fixed issue where "ENTER" doesn't close language dialog, and minor sync issue 
    - Portuguese and Russian translations for Sudokuki 1.1 (by Dmitry Salnikov) 
    - Esperanto translations for Sudokuki 1.1 (by Sylvain Vedrenne)
    - German translations for Sudokuki 1.1 (by Claus Poerschke)

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Mon, 20 Feb 2012 20:49:00 +0100


sudokuki (1.0.910-2) unstable; urgency=low

  * Sudokuki version 1.1.Beta11 ("Sudokuki", beta, Java Swing GUI)

    Fixed the following bug(s):
    - Fixed #3476292 TODO: Application logo for final release
    - Fixed #3485100 Cancelling 4 grids generation doesn't have expected effect
    - Improved aspect of 'resolve grid dialog'
    - Fixed LanguageMenu not in sync with actual locale if changed from LanguageDialog
    - Fixed #3485144 When grid is full but wrong, errors should be shown in red
    - Fixed #3485142 Nothing happens when the grid is complete

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Fri, 11 Feb 2012 23:40:00 +0100

sudokuki (1.0.910-1) unstable; urgency=low

 * Sudokuki version 1.1.Beta10 ("Sudokuki", beta, Java Swing GUI)

 Fixed the following bug(s):
 - Updated french translations.
 - Fixed #3432039 TODO: add necessary L10n strings
 - Fixed #3482839 Exit Custom Grid Mode in case New/Open grid is selected
 - Fixed #3482838 Actions to deactivate when in normal "custom grid" mode
 - Fixed #3482837 Deactivate "play grid" if custom grid is invalid
 - Fixed #3482836 Select-memos dialog should not always clear the cell value
 - I18n the language dialog. Static language names (German => Deutsch).
 - Fixed #3476292 TODO: Application logo for final release
 - Fixed #3411638 Check the POEdit icon for "translate this app" icon

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Fri, 3 Feb 2012 23:45:00 +0100

sudokuki (1.0.900-1) unstable; urgency=low

 * Sudokuki version 1.1.Beta9 ("Sudokuki", beta, Java Swing GUI)

 Fixed the following bug(s):
 - #3469259 Make smaller Jar/Zip distributions
 - #3464115 MS-Windows: ENTER invokes input dialog after discarding it

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Mon, 16 Jan 2012 23:55:00 +0100

sudokuki (1.0.800-1) unstable; urgency=low

 * Sudokuki version 1.1.Beta8 ("Sudokuki", beta, Java Swing GUI)

 Fixed the following bug(s):
 - Fixed #3411639 Memos shouldn't be retained if the user pressed ESC
 - Fixed #3462544 Playing with the keyboard is not easy enough
 - Fixed #3411640 Pressing ENTER on Memos dialog has no effect

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Thu, 22 Dec 2011 01:04:00 +0100

sudokuki (1.0.700-1) unstable; urgency=low

 * Sudokuki version 1.1.Beta7 ("Sudokuki", beta, Java Swing GUI)

 Fixed the following bug(s):
 - Dev #3440869 IMPROVE:Make one single input dialog for memos and numbers
 - Fixed #3447362 Wrong cell for "Set memos here" (except if right mouse btn)
 - Fixed #3447520 Debian package: fix location for JAR file

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Thu, 03 Dec 2011 03:38:00 +0100

sudokuki (1.0.600-1) unstable; urgency=low

 * Sudokuki version 1.1.Beta6 ("Sudokuki", beta, Java Swing GUI)

 Fixed the following bug(s):
 - Fixed #3445643 Regression: on MS-Windows "Save As" has no effect
 - Fixed #3447468 Exception on the AWT if mouse clicks on the grid margins
 - Fixed #3406698 Ensure the suexg lib can be loaded
 - Fixed #3432067 Open grid:Missing error dialog in case the file is not found
 - Fixed #3432051 Forbid "custom grid" after the grid was resolved

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Thu, 01 Dec 2011 23:48:00 +0100

sudokuki (1.0.500-1) unstable; urgency=low

 * Sudokuki version 1.1.Beta5 ("Sudokuki", beta, Java Swing GUI)

 Rewrote Sudokuki in Java with a Swing graphical user interface.
 Added Debian package build support for Sudokuki 1.1.Beta5.

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Mon, 29 Nov 2011 01:00:00 +0100

sudokuki (1.0.0-1) unstable; urgency=low
	
 * Sudokuki version 1.0.0 ("Sudokuki", stable, Gtkmm GUI)

 Fixed the following bug(s):
 - 2798611 "Edit/Lang","Edit/numbers" unavailable after Custom+New
 - 2797875 "Save grid as..." and "Print" unavailable after Custom + New
 - 2797600 Position of "Open grid" and "Save grid" dialogs
 - 2797599 "Discard grid?" dialog remains after "custom grid" action
 - 2796991 Keep same window position when changing language or numbers
 - 2796986 "Discard grid?" dialog: leave it until the new grid is ready

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Thu, 04 Jun 2009 00:20:00 +0100
	
sudokuki (0.9.14-1) unstable; urgency=low

 * Sudokuki version 0.9.14 ("Sudokuki", stable, Gtkmm GUI)

 Fixed the following bug(s):
 - 2796157 "Resolve cell" unavailable in pop up menu on first line
 - 2795456 "New game" while in custom grid mode doen't behave well
 - 2795379 Should not allow opening files other than .ski files
 - 2795372 In the menu, "Resolve cell" available after filling cell
 - 2795364 Play custom grid: resolve cell is always available
 - 2795360 Should not be possible to Undo custom grid values!
 - 2795287 Resolve cell must be deactivated while composing custom grid
 - 2795081 "Open a sudokuki grid file..." cannot be translated
 - 2795080 "Save sudokuki grid to a file..." cannot be translated
 - 2794984 Incorrect custom grid resolved after changing kanji mode
 - 2794448 Deactivate "Resolve cell" when user fills current cell
 - 2794447 Activate "Resolve cell" upon Undo emptying current cell

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Sun, 24 May 2009 23:47:00 +0100

sudokuki (0.9.13-1) unstable; urgency=low

 * Sudokuki version 0.9.13 ("Sudokuki", stable, Gtkmm GUI)

 Implemented the following feature(s):
 - 2793552 Print preferences: show a simple information dialog

 Fixed the following bug(s):
 - 2789531 Should not be possible to enter values after resolve game!
 - 2789532 Can enter a value from context menu on a non-empty cells!
 - 2789809 Regression:if there are user values, crash when solving game
 - 2715501 Undo doesn't behave correctly after "Resolve cell"
 - 2789530 Win32FullPackage with more recent gtk/gtkmm dlls
 - 2172819 Impossible to cancel when entering a dead end upon first go
 - 2791441 "One of your moves is in the way" remaining...
 - 2015967 Dead end detection incomplete
 - 2791435 Changing kanji mode allows playing though in a dead end
 - 2793555 Custom grid values should be in black
 - 2793552 Print preferences: show a simple information dialog
 - 2793551 Impossible to Undo / Clear All after changing kanji/language
 - 2652376 Many strings cannot be localized
 - 2794092 Resolve_cell action should be deactivated after Resolve
	
 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Thu, 21 May 2009 23:47:00 +0100

sudokuki (0.9.12-1) unstable; urgency=low

 * Sudokuki version 0.9.12 ("Sudokuki", almost stable, Gtkmm GUI)

 Implemented the following feature(s):
 - <none>

 Fixed the following bug(s):
 - 2747982 [r403]Saved game user played values should be in "blue"
 - #2118524 0.7.0_Gtkmm Dead-end message remaining
 - #2715501 Undo doesn't behave correctly after "Resolve cell"
 - #2789811 win32FullPackage.zip : incorrect _bold_ ka
 - #2789531 Should not be possible to enter values after resolve game!
	
 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Fri, 15 May 2009 23:47:00 +0100

sudokuki (0.9.11-1) unstable; urgency=low

 * Sudokuki version 0.9.11 ("Sudokuki", almost stable, Gtkmm GUI)

 Implemented the following feature(s):
 - Level selection

 Fixed the following bug(s):
 - 2406808 [092]Change_language after Resolve goes back to play status

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Mon, 24 Apr 2009 23:47:00 +0100

sudokuki (0.9.10-1) unstable; urgency=low

 * Sudokuki version 0.9.10 ("Sudokuki", almost stable, Gtkmm GUI)

 Implemented the following features:
 - Added a popup menu for "Resolve cell" feature (Claus Poerschke).
 - 2406830 Allow playing only with the mouse (Sylvain Vedrenne).
 - 2715495 reinit the grid after kanji/numbers change 

 Fixed the following bugs:
 - 2118521 Print action => 2 browser instead of 1
 - 2715510 Changing language to "ja" when in kanjimode crashes

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Sun, 19 Apr 2009 23:40:00 +0100

sudokuki (0.9.9-2) unstable; urgency=low

 * Fixed build problem related to debug traces.

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Mon, 13 Apr 2009 22:30:00 +0100
	
sudokuki (0.9.9-1) unstable; urgency=low
	
 * Added a nice "resolve cell" feature, thanks to Claus Poerschke,
   and fixed some side effects that appeared with this modification.
 * Added "kanji mode" allowing the user to play with kanji numbers.
 * Changed fonts, now using "dark green" color for resolved cells.
 * Cleaned up some traces, centralized traces definition in one include.
 * Updated German translations from Claus Poerschke.

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Sun, 12 Apr 2009 21:00:00 +0100
	
sudokuki (0.9.8-1) unstable; urgency=low

 * Added German translations.
 * Marked missing strings as gettextized using '_( )'.	

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Sun, 01 Mar 2009 20:00:00 +0100

sudokuki (0.9.7-1) experimental; urgency=low

 * Initial release as a Debian package.

 -- Sylvain Vedrenne <sylvain.vedrenne@free.fr>  Wed, 11 Feb 2009 23:09:30 +0100

